# Willow Auth0

![Logo](assets/logo.svg)

Integration between [Willow](https://github.com/ba-st/Willow/) and
[Auth0 Universal Login](https://auth0.com/universal-login/)

[![Unit Tests](https://github.com/ba-st/Willow-Auth0/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Willow-Auth0/actions/workflows/unit-tests.yml/badge.svg)
[![Coverage Status](https://codecov.io/github/ba-st/Willow-Auth0/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Willow-Auth0/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Willow-Auth0/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Willow-Auth0/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Willow-Auth0/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Willow-Auth0/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Willow-Auth0.svg)](https://github.com/ba-st/Willow-Auth0/releases/latest)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

## Quick links

- [**Explore the docs**](docs/README.md)
- [Report a defect](https://github.com/ba-st/Willow-Auth0/issues/new?labels=Type%3A+Defect)
- [Request a feature](https://github.com/ba-st/Willow-Auth0/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image follow this [instructions](docs/how-to/how-to-load-in-pharo.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)

## Credits

This integration was made at [Mercap Software](https://www.mercapsoftware.com/en/)
